mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly, Inherited=false) System.Runtime.InteropServices.ComVisible(true)

The file hash values and names in the assembly are stored in the assembly manifest. When a file is loaded, the hash value is used to verify that a file has not been changed since the manifest was built.

Specifies an algorithm to hash all files in an assembly. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified hash algorithm, using one of the members of to represent the hash algorithm.

  A member of AssemblyHashAlgorithm that represents the hash algorithm.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  To be added

  Initializes a new instance of the class with the specified hash algorithm, using an unsigned integer to represent the hash algorithm.

  An unsigned integer representing the hash algorithm.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt32 To be added: an object of type 'uint' To be added

  Gets the hash algorithm of an assembly manifest's contents.